> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edgeimpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get status of build job (public)

> Get the status of a deployment job created through buildPublicDeploymentJob.



## OpenAPI

````yaml /.assets/openapi.yaml get /api/{projectId}/deployment/public/jobs/{jobId}/status
openapi: 3.0.0
info:
  title: Edge Impulse API
  version: 1.0.0
servers:
  - url: https://studio.edgeimpulse.com/v1
security:
  - ApiKeyAuthentication: []
  - JWTAuthentication: []
  - JWTHttpHeaderAuthentication: []
  - OAuth2: []
paths:
  /api/{projectId}/deployment/public/jobs/{jobId}/status:
    get:
      tags:
        - Deployment
      summary: Get status of build job (public)
      description: >-
        Get the status of a deployment job created through
        buildPublicDeploymentJob.
      operationId: getPublicDeploymentStatus
      parameters:
        - $ref: '#/components/parameters/ProjectIdParameter'
        - $ref: '#/components/parameters/JobIdParameter'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPublicDeploymentStatusResponse'
components:
  parameters:
    ProjectIdParameter:
      name: projectId
      in: path
      required: true
      description: Project ID
      schema:
        type: integer
    JobIdParameter:
      name: jobId
      in: path
      required: true
      description: Job ID
      schema:
        type: integer
  schemas:
    GetPublicDeploymentStatusResponse:
      allOf:
        - $ref: '#/components/schemas/GenericApiResponse'
        - type: object
          required:
            - job
            - logs
          properties:
            job:
              type: object
              required:
                - created
              properties:
                created:
                  type: string
                  format: date-time
                  description: When the job was created.
                started:
                  type: string
                  format: date-time
                  description: When the job was started.
                finished:
                  type: string
                  format: date-time
                  description: When the job was finished.
                finishedSuccessful:
                  type: boolean
                  description: >-
                    Whether the job finished successfully. (Set to null if job
                    is not finished)
            logs:
              type: array
              description: Last 1000 log lines for this job.
              items:
                $ref: '#/components/schemas/JobLogItem'
    GenericApiResponse:
      type: object
      required:
        - success
      properties:
        success:
          type: boolean
          description: Whether the operation succeeded
        error:
          type: string
          description: Optional error description (set if 'success' was false)
    JobLogItem:
      type: object
      required:
        - created
        - data
      properties:
        created:
          type: string
          format: date-time
        data:
          type: string
        logLevel:
          type: string
          enum:
            - error
            - warn
            - info
            - debug
  securitySchemes:
    ApiKeyAuthentication:
      type: apiKey
      in: header
      name: x-api-key
    JWTAuthentication:
      type: apiKey
      in: cookie
      name: jwt
    JWTHttpHeaderAuthentication:
      type: apiKey
      in: header
      name: x-jwt-token
    OAuth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: /v1/oauth/authorize
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        implicit:
          authorizationUrl: /v1/oauth/authorize
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        password:
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        clientCredentials:
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information

````